# COOKIE CONTENT BLOCKER MEDIA

## INTRODUCTION

This submodule provides support for blocking media provided by external sources
(over the internet) until consent for cookies and related technology has been
given. It currenlty only works with the Media Internet module and related
providers.

You can chose to block providers like the ones provided by modules like:
- media_youtube
- media_vimeo
- media_soundcloud

[See all modules that extend media](https://groups.drupal.org/node/168009)

When using the media_oembed module, we currently only support blocking all or
none of the oembed providers.

Please first read the documentation of Cookie content blocker.

## REQUIREMENTS

This module requires the following Drupal modules:

- Cookie content blocker (parent module)
- Media Internet (media submodule)

## INSTALLATION

Install this module as any other Drupal module, see the documenation on
[Drupal.org](https://www.drupal.org/docs/7/extend/installing-modules).

## CONFIGURATION

Navigate to `admin/config/system/cookie_content_blocker/media` to configure
blocking per available provider. It is possible to provide deviating messages
per provider of which media will be blocked once checked.

### MULTILINGUAL

The text settings can be translated when the 'Variable translation' module is
installed, this submodule is part of the 'Internationalization' (i18n) package.
