<?php

/**
 * @file
 * Admin functionality for Cookie content blocker - Media.
 */

/**
 * Form callback for the admin settings form.
 *
 * @param array $form
 *   The structure of the form.
 * @param array $form_state
 *   The current state of the form.
 *
 * @return array
 *   The configuration form.
 *
 * @see system_settings_form_submit()
 */
function cookie_content_blocker_media_settings_form(array $form, array &$form_state) {
  $form = _cookie_content_blocker_variable_form($form, 'cookie_content_blocker_media');
  $providers = media_internet_get_providers();

  foreach ($providers as $provider) {
    $variable_blocked_name = _cookie_content_blocker_media_provider_variable_name($provider, 'blocked');
    if (!isset($form[$variable_blocked_name])) {
      continue;
    }

    $variable_blocked_message_name = _cookie_content_blocker_media_provider_variable_name($provider, 'blocked_message');
    $form[$variable_blocked_message_name]['#states'] = array(
      'visible' => array(
        ':input[name="' . $variable_blocked_name . '"]' => array('checked' => TRUE),
      ),
    );
  }

  return system_settings_form($form);
}
